Bug 178569 - net-mgmt/smokeping upgrade to 2.6.9
net-mgmt/smokeping upgrade to 2.6.9
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 18:20 UTC by rodrigo
Modified: 2013-05-24 22:20 UTC (History)
0 users

See Also:


Attachments
smokeping.diff (2.66 KB, patch)
2013-05-13 18:20 UTC, rodrigo
no flags Details | Diff
smokeping.diff (3.62 KB, patch)
2013-05-24 10:48 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rodrigo 2013-05-13 18:15:49 UTC
>Number:         178569
>Category:       ports
>Synopsis:       net-mgmt/smokeping upgrade to 2.6.9
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 13 17:20:00 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     Rodrigo (ros) OSORIO
>Release:        FreeBSD 9.0-RELEASE amd64
>Organization:
>Environment:
System: FreeBSD sisko 9.0-RELEASE FreeBSD 9.0-RELEASE #0: Tue Jan 3 07:46:30 UTC 2012 root@farrell.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC amd64


	
>Description:
	Update smokeping port from 2.6.8 to 2.6.9
	- more careful about preventing xss attacks
	- more configurable replacements for remocular integration
	- add new probe SendEmail
	- re-initialize rand upon fork
	- add expect parameter to Curl.pm
	- FPing read fping output form stdout instead of stderr
	- title to be defined via cgi parameter when calling navigator interface
	- respect the probe timeout
        - template support for HTTP auth user
	- fork alert handler scripts so that sokeping does not block
	
>How-To-Repeat:
	
>Fix:

	



--- smokeping.diff begins here ---
Index: Makefile
===================================================================
--- Makefile	(revision 318066)
+++ Makefile	(working copy)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	smokeping
-PORTVERSION=	2.6.8
+PORTVERSION=	2.6.9
 CATEGORIES=	net-mgmt www
 MASTER_SITES=	http://oss.oetiker.ch/smokeping/pub/ \
 		http://smokeping.cs.pu.edu.tw/pub/
@@ -71,6 +71,7 @@
 		Smokeping_probes_OpenSSHJunOSPing.3 \
 		Smokeping_probes_Radius.3 \
 		Smokeping_probes_RemoteFPing.3 \
+		Smokeping_probes_SendEmail.3 \
 		Smokeping_probes_SSH.3 \
 		Smokeping_probes_SipSak.3 \
 		Smokeping_probes_TCPPing.3 \
Index: distinfo
===================================================================
--- distinfo	(revision 318066)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (smokeping-2.6.8.tar.gz) = 15fd99487d01649a552d2954bc1c6b0442967a72fca51c8ff197447389b1b16c
-SIZE (smokeping-2.6.8.tar.gz) = 423516
+SHA256 (smokeping-2.6.9.tar.gz) = cd551d4384d8b19879d128ea0566bd680c19bb4ad8664a3c5a304604746f8863
+SIZE (smokeping-2.6.9.tar.gz) = 427185
Index: files/patch-htdocs-Makefile.in
===================================================================
--- files/patch-htdocs-Makefile.in	(revision 318066)
+++ files/patch-htdocs-Makefile.in	(working copy)
@@ -1,11 +1,10 @@
---- htdocs/Makefile.in.orig	2012-05-14 13:21:26.387873095 +0200
-+++ htdocs/Makefile.in	2012-05-14 13:22:37.617874000 +0200
-@@ -424,7 +424,7 @@
- install-data-local:
+--- htdocs/Makefile.in	2013-03-04 14:07:55.000000000 +0100
++++ htdocs/Makefile.in	2013-05-13 10:18:55.000000000 +0200
+@@ -434,6 +434,7 @@
  	$(MKDIR) -p $(DESTDIR)$(HTDOCSDIR)
  	$(ECHO)	"#!/bin/sh" > $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
--	$(ECHO)	"$(prefix)/bin/smokeping_cgi $(prefix)/etc/config" >> $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
-+	$(ECHO)	"$(prefix)/bin/smokeping_cgi $(sysconfdir)/config" >> $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
+ 	$(ECHO)	"exec $(prefix)/bin/smokeping_cgi $(prefix)/etc/config" >> $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
++	$(ECHO)	"exec $(prefix)/bin/smokeping_cgi $(sysconfdir)/config" >> $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
  	chmod +x $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
  
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: pkg-plist
===================================================================
--- pkg-plist	(revision 318066)
+++ pkg-plist	(working copy)
@@ -101,6 +101,7 @@
 smokeping/lib/Smokeping/probes/basevars.pm
 smokeping/lib/Smokeping/probes/passwordchecker.pm
 smokeping/lib/Smokeping/probes/skel.pm
+smokeping/lib/Smokeping/probes/SendEmail.pm
 smokeping/lib/Smokeping/sorters/Loss.pm
 smokeping/lib/Smokeping/sorters/Max.pm
 smokeping/lib/Smokeping/sorters/Median.pm
--- smokeping.diff ends here ---

>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 rodrigo 2013-05-13 18:20:00 UTC
	Update smokeping port from 2.6.8 to 2.6.9
	- more careful about preventing xss attacks
	- more configurable replacements for remocular integration
	- add new probe SendEmail
	- re-initialize rand upon fork
	- add expect parameter to Curl.pm
	- FPing read fping output form stdout instead of stderr
	- title to be defined via cgi parameter when calling navigator interface
	- respect the probe timeout
        - template support for HTTP auth user
	- fork alert handler scripts so that sokeping does not block
Comment 2 Guido Falsi freebsd_committer 2013-05-20 09:35:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 Guido Falsi freebsd_committer 2013-05-24 10:48:33 UTC
hi!

I found a little glitch in your port.

Attached revised patch fixes it.

Trick is in these two lines added to the Makefile:
+	${MKDIR} ${PREFIX}/var/smokeping
+	${CHOWN} -R ${USERS}:${GROUPS} ${PREFIX}/var/smokeping


The port has @exec mkdir for prefix/var/smokeping. #exec lines are 
executed only when installing from package though. Not when using make 
install from the port.

The mkdir is required to cover that second case.

BTW this went unnoticed since old packaging tools ignored the missing 
directory error and when installing from package later did create it. 
The pkgng tools are not that forgiving and fail hard when noticing the 
missing file.

Can you approve this patch?

Thanks.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 dfilter freebsd_committer 2013-05-24 22:19:52 UTC
Author: madpilot
Date: Fri May 24 21:19:44 2013
New Revision: 319016
URL: http://svnweb.freebsd.org/changeset/ports/319016

Log:
  - Update to 2.6.9
  - Remove version numbers from LIB_DEPENDS
  
  PR:		ports/178569
  Submitted by:	Rodrigo OSORIO <rodrigo@bebik.net> (maintainer)
  Approved by:	maintainer via private email

Modified:
  head/net-mgmt/smokeping/Makefile   (contents, props changed)
  head/net-mgmt/smokeping/distinfo   (contents, props changed)
  head/net-mgmt/smokeping/files/patch-htdocs-Makefile.in   (contents, props changed)
  head/net-mgmt/smokeping/pkg-plist   (contents, props changed)

Modified: head/net-mgmt/smokeping/Makefile
==============================================================================
--- head/net-mgmt/smokeping/Makefile	Fri May 24 20:58:30 2013	(r319015)
+++ head/net-mgmt/smokeping/Makefile	Fri May 24 21:19:44 2013	(r319016)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	smokeping
-PORTVERSION=	2.6.8
+PORTVERSION=	2.6.9
 CATEGORIES=	net-mgmt www
 MASTER_SITES=	http://oss.oetiker.ch/smokeping/pub/ \
 		http://smokeping.cs.pu.edu.tw/pub/
@@ -10,7 +10,7 @@ MASTER_SITES=	http://oss.oetiker.ch/smok
 MAINTAINER=	rodrigo@bebik.net
 COMMENT=	Latency logging and graphing system
 
-LIB_DEPENDS=	rrd.6:${PORTSDIR}/databases/rrdtool
+LIB_DEPENDS=	rrd:${PORTSDIR}/databases/rrdtool
 BUILD_DEPENDS=	p5-CGI-Session>=0:${PORTSDIR}/www/p5-CGI-Session \
 		p5-Digest-HMAC>=0:${PORTSDIR}/security/p5-Digest-HMAC \
 		p5-SNMP_Session>=0:${PORTSDIR}/net-mgmt/p5-SNMP_Session \
@@ -71,6 +71,7 @@ MAN3=		Smokeping_matchers_Avgratio.3 \
 		Smokeping_probes_OpenSSHJunOSPing.3 \
 		Smokeping_probes_Radius.3 \
 		Smokeping_probes_RemoteFPing.3 \
+		Smokeping_probes_SendEmail.3 \
 		Smokeping_probes_SSH.3 \
 		Smokeping_probes_SipSak.3 \
 		Smokeping_probes_TCPPing.3 \
@@ -117,6 +118,7 @@ OPTIONS_DEFINE=	ECHOPING CURL RADIUS TEL
 OPTIONS_DEFAULT=	FPING
 
 .include <bsd.port.options.mk>
+
 .if ${PORT_OPTIONS:MFPING}
 RUN_DEPENDS+=	${LOCALBASE}/sbin/fping:${PORTSDIR}/net/fping
 .endif
@@ -169,6 +171,8 @@ post-install:
 	[ -f ${PREFIX}/smokeping/htdocs/smokeping.fcgi ] || ${CP} ${PREFIX}/smokeping/htdocs/smokeping.fcgi.dist ${PREFIX}/smokeping/htdocs/smokeping.fcgi
 	${MKDIR} ${PREFIX}/smokeping/htdocs/img
 	${CHOWN} -R ${WWWOWN}:${WWWGRP} ${PREFIX}/smokeping/htdocs
+	${MKDIR} ${PREFIX}/var/smokeping
+	${CHOWN} -R ${USERS}:${GROUPS} ${PREFIX}/var/smokeping
 .if !defined(BATCH)
 	${CAT} ${PKGMESSAGE}
 .endif

Modified: head/net-mgmt/smokeping/distinfo
==============================================================================
--- head/net-mgmt/smokeping/distinfo	Fri May 24 20:58:30 2013	(r319015)
+++ head/net-mgmt/smokeping/distinfo	Fri May 24 21:19:44 2013	(r319016)
@@ -1,2 +1,2 @@
-SHA256 (smokeping-2.6.8.tar.gz) = 15fd99487d01649a552d2954bc1c6b0442967a72fca51c8ff197447389b1b16c
-SIZE (smokeping-2.6.8.tar.gz) = 423516
+SHA256 (smokeping-2.6.9.tar.gz) = cd551d4384d8b19879d128ea0566bd680c19bb4ad8664a3c5a304604746f8863
+SIZE (smokeping-2.6.9.tar.gz) = 427185

Modified: head/net-mgmt/smokeping/files/patch-htdocs-Makefile.in
==============================================================================
--- head/net-mgmt/smokeping/files/patch-htdocs-Makefile.in	Fri May 24 20:58:30 2013	(r319015)
+++ head/net-mgmt/smokeping/files/patch-htdocs-Makefile.in	Fri May 24 21:19:44 2013	(r319016)
@@ -1,11 +1,11 @@
---- htdocs/Makefile.in.orig	2012-05-14 13:21:26.387873095 +0200
-+++ htdocs/Makefile.in	2012-05-14 13:22:37.617874000 +0200
-@@ -424,7 +424,7 @@
+--- htdocs/Makefile.in.orig	2013-03-04 14:07:55.000000000 +0100
++++ htdocs/Makefile.in	2013-05-20 12:58:07.514020869 +0200
+@@ -433,7 +433,7 @@
  install-data-local:
  	$(MKDIR) -p $(DESTDIR)$(HTDOCSDIR)
  	$(ECHO)	"#!/bin/sh" > $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
--	$(ECHO)	"$(prefix)/bin/smokeping_cgi $(prefix)/etc/config" >> $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
-+	$(ECHO)	"$(prefix)/bin/smokeping_cgi $(sysconfdir)/config" >> $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
+-	$(ECHO)	"exec $(prefix)/bin/smokeping_cgi $(prefix)/etc/config" >> $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
++	$(ECHO)	"exec $(prefix)/bin/smokeping_cgi $(sysconfdir)/config" >> $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
  	chmod +x $(DESTDIR)$(HTDOCSDIR)/smokeping.fcgi.dist
  
  # Tell versions [3.59,3.63) of GNU make to not export all variables.

Modified: head/net-mgmt/smokeping/pkg-plist
==============================================================================
--- head/net-mgmt/smokeping/pkg-plist	Fri May 24 20:58:30 2013	(r319015)
+++ head/net-mgmt/smokeping/pkg-plist	Fri May 24 21:19:44 2013	(r319016)
@@ -101,6 +101,7 @@ smokeping/lib/Smokeping/probes/basefork.
 smokeping/lib/Smokeping/probes/basevars.pm
 smokeping/lib/Smokeping/probes/passwordchecker.pm
 smokeping/lib/Smokeping/probes/skel.pm
+smokeping/lib/Smokeping/probes/SendEmail.pm
 smokeping/lib/Smokeping/sorters/Loss.pm
 smokeping/lib/Smokeping/sorters/Max.pm
 smokeping/lib/Smokeping/sorters/Median.pm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Guido Falsi freebsd_committer 2013-05-24 22:20:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!